/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package nl.cloudfarming.client.geoviewer.jxmap.preset;

/**
 *
 * @author Maarten Hollenga
 */
public enum LayerName {

    NETHERLANDS("NEDERLAND"),
    PROVINCES("PROVINCIES"),
    RIVERS("RIVIEREN"),
    AUTOROUTES("AUTOWEGEN"),
    HAMSTER_OVERDEWEG_LUTUM("hamster-overdeweg-lutum"),
    HAMSTER_OVERDEWEG_OS("hamster-overdeweg-os"),
    HAMSTER_OVERDEWEG_ZANDFRACTIE("hamster-overdeweg-zandfractie"),
    HAMSTER_OVERDEWEG_SENSOREN("sensoren_hamster"),
    REMAINING_NORTHSEA("OVERIG_NOORDZEE"),
    TWELVE_MILE_AREA("TWAALF_MIJL_ZONE"),
    WATER("WATER"),
    MOORING_BOLLARDS("MEERPALEN"),
    MOORING_BUOYS("MEERBOEIEN"),
    NAVIGATION_BUOYS("NAVIGATIEBOEIEN"),
    TRAFFICDIVISIONSSYSTEM("VERKEERSSCHEIDINGSSTELSEL"),
    EUROGEUL("EUROGEUL"),
    BUOY_BELTS("BOEISPANNEN"),
    LAND_WATERDIVISION("LAND_WATERSCHEIDING"),
    PETROLEUMPORTS("PETROLEUMHAVENS"),
    PIERS("STEIGERS");
    private String layer;

    private LayerName(String layer) {
        this.layer = layer;
    }

    public String getName() {
        return layer;
    }
}
